'Demo.bas, Example Program using Input Interrupts to change Move Params and Move Motor
'-------------- Parameter Header -----------------------
params 
	DRV.OPMODE = 2'position operation mode
	DRV.CMDSOURCE = 5'command source = AKD BASIC TG
	UNIT.PROTARY = 4'16 bit position units, 65536 counts/rev
	UNIT.VROTARY = 0'velocity units = rpm
	UNIT.ACCROTARY = 0'acceleration units = rpm/sec
end params

'-------------- Define (dim) Global Variables -------------------------

'-------------- Main Program -------------------------
main 
	print "Starting Demo Program" 
	
	Intr.DIN1Hi = 1
	Intr.DIN2Hi = 1
	Intr.DIN3Hi = 1
	Intr.DIN4Hi = 1
	
	drv.swenable = 1
	
	' Setting up move parameters
	Move.Acc = 12000
	Move.Dec = 12000
	Move.RunSpeed = 500
	Move.Dir = 1
	
	
	call ShowHelp
	while (1) : 
		' Waiting on interrupts...
	wend
	
	
end main

'-------------- Subroutines and Functions ------------
Sub ShowHelp
	print "=======================================" 
	print "DIN 1 - Start the move" 
	print "DIN 2 - Increase Move.RunSpeed" 
	print "DIN 3 - Decrease Move.RunSpeed" 
	print "DIN 4 - Change Direction" 
	print "=======================================" 
	print "" 
End sub


'-------------- Interrupt Routines -------------------
Interrupt DIN1Hi 
	print "Do Velocity Move" 
	Move.GoVel 
	Intr.DIN1Hi = 1
End Interrupt

Interrupt DIN2Hi 
	Move.RunSpeed = Move.RunSpeed + 100
	print "New Move.RunSpeed = " ; Move.RunSpeed 
	Move.GoUpdate 
	Intr.DIN2Hi = 1
End Interrupt

Interrupt DIN3Hi 
	Move.RunSpeed = Move.RunSpeed -100
	print "New Move.RunSpeed = " ; Move.RunSpeed 
	Move.GoUpdate 
	Intr.DIN3Hi = 1
End Interrupt

Interrupt DIN4Hi 
	If Move.Dir = 1 then Move.Dir = 0else Move.Dir = 1
	Print "Change Direction" 
	Move.GoUpdate 
	Intr.DIN4Hi = 1
End Interrupt
