'-------------- Device Params -----------------------
Params 
	DRV.OPMODE = 2'position operation mode
	DRV.CMDSOURCE = 5'command source = AKD BASIC TG
	UNIT.PROTARY = 4'16 bit position units, 65536 counts/rev
	UNIT.VROTARY = 0'velocity units = rpm
	UNIT.ACCROTARY = 0'acceleration units = rpm/sec
End Params

'-------------- Define (dim) Global Variables --------
Dim user_Scurve as integer nv

MBInfo 
	$MBMap32(5000, user_Scurve)
End 
'-------------- Main Program -------------------------
Main 
	intr.modbus = 1'turn on Modbus Interrupt
	MOVE.ACC = 10000
	MOVE.DEC = 10000
	MOVE.RUNSPEED = 1000
	MOVE.RELATIVEDIST = 65536
	MOVE.SCURVETIME = 256
	While 1'make moves until Modbus Interrupt
		MOVE.GOREL 
		While MOVE.MOVING : Wend
		Pause (1)
	Wend
	
End Main

'-------------- Subroutines and Functions ------------

'-------------- Interrupt Routines -------------------
Interrupt MODBUS 'change the value of Move.ScurveTime in this interrupt if the user entered a valid number
	If user_Scurve = 0  or user_Scurve = 2 or user_Scurve =  4 or user_Scurve = 8 OR user_Scurve = 16 or user_Scurve = 32 or user_Scurve =  64 or user_Scurve =  128 or user_Scurve =  256 Then 
		While MOVE.MOVING : Wend'wait for any move in progress to complete
		Print user_Scurve
		MOVE.SCURVETIME = user_Scurve
		DOUT1.STATEU = 0
	Else 
		DOUT1.STATEu = 1'turn output on to indicate Scurve Time entered is invalid
	End If
	INTR.MODBUS = 1'reenable interrupt
	
End Interrupt
